$(document).ready(function() {
	function Patent() {
		this.init();
		this.flag = GetQueryString("flag");
	}
	Patent.prototype.init = function() {
		loginStatus();
		ifcollectionAbout(GetQueryString("patentId"),$(".attenSpan").eq(0),4);
		this.ajax({
			url: "/ajax/ppatent/qo",
			data: {
				id: GetQueryString("patentId")
			},
			type: "get",
			Fun: this.patentMess
		});
		this.ajax({
			url: "/ajax/ppatent/authors",
			data: {
				id: GetQueryString("patentId")
			},
			type: "get",
			Fun: this.patentAuth
		});
		this.ajax({
			url: "/ajax/ppatent/incPageViews",
			data: {
				id: GetQueryString("patentId")
			},
			type: "post",
			Fun: this.pageview
		});
	}
	Patent.prototype.ajax = function(obj) {
		var $this = this;
		$.ajax({
			url: obj.url,
			data: obj.data,
			dataType: 'json', //服务器返回json格式数据
			type: obj.type, //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			traditional: true,
			async:false,
			success: function(data) {
				if(data.success) {
					obj.Fun(data.data, $this);
				}
			},
			error: function() {
				$this.Fail();
			}
		});
	}
	Patent.prototype.Fail = function() {
		$.MsgBox.Alert('提示', "服务器链接超时");
	}
	Patent.prototype.keyword = function($key) {
		for(var i in $key.split(",")) {
			if(GetQueryString("flag")== 1) {
				if($key.split(",").length>=5) {
					$(".oinput").parents(".col-w-12").hide();
				}
				$("#paperSList").append("<li><p class='h2Font'>" + $key.split(",")[i] + "</p><div class='closeThis'></div></li>");
			} else {
				$(".tagList").append("<li><p class='h2Font'>" + $key.split(",")[i] + "</p></li>");
			}

		}
	}
	Patent.prototype.patentMess = function($data, $obj) {
		if(GetQueryString("flag") == 1) {
			$(".advertItem,.tagList").hide();
			hotKey(".oinput", 10);
			if($data.keywords) {
				$obj.keyword($data.keywords);
			}
		} else {
			$(".oinput").parents(".form-item").hide();
			$(".conItem").hide();
			if($data.keywords) {
				$obj.keyword($data.keywords);
			} else {
				$(".tagList").hide();
			}
		}
		if($data.name) {
			$("#paperName").text($data.name);
			document.title=$data.name;
		}
		$("#pageview").text($data.pageViews);
		if($data.reqCode) {
			$(".showCon").eq(0).text($data.reqCode);
		} else {
			$(".showCon").eq(0).parents("li").hide();
		}
		if($data.code) {
			$(".showCon").eq(1).text($data.code);
		} else {
			$(".showCon").eq(1).parents("li").hide();
		}
		$(".showCon").eq(2).text(TimeTr($data.reqDay));
		$(".showCon").eq(3).text(TimeTr($data.pubDay));
		$(".showCon").eq(4).text($data.reqPerson);
		if($data.summary) {
			$(".showCon").eq(5).text($data.summary);
		}
		var weibotitle = $data.name;
		var weibourl = window.location.href;
		var weibopic = "http://" + window.location.host + "/images/default-patent.jpg";
		$("#weibo").attr("href", "http://service.weibo.com/share/share.php?appkey=3677230589&title=" + encodeURIComponent(weibotitle) + "&url=" + encodeURIComponent(weibourl) + "&pic=" + encodeURIComponent(weibopic) + "&content=utf-8" + "&ralateUid=6242830109&searchPic=false&style=simple");
		$obj.bindEvent($obj);
	}
	Patent.prototype.patentAuth = function($data, $obj) {
		for(var i in $data) {
			if($data[i].professorId.substring(0, 1) == "#") {
				var otr = '<li class="flexCenter"><a data-id="'+ $data[i].professorId +'">' +
					'<div class="madiaHead useHead" id="userimg"></div>' +
					'<div class="madiaInfo">' +
					'<p class="ellipsisSty">' +
					'<span class="h1Font" id="name">' + $data[i].name + '</span>' +
					'</p>' +
					'</div></a>'
					if($data[i].name==$.cookie("userName")){
						otr += '<div class="goSpan"><span class="ifMe" nflag="1">是我本人</span></div>'
					}else{
						otr += '<div class="goSpan"><span class="yaoqing">邀请'+
						'<div class="shareCode clearfix"><div class="floatL qrcodeUser"></div>'+
						'<div class="shareWord floatR"><p>打开微信“扫一扫”，<br/>打开网页后点击屏幕右上角“分享”按钮</p></div>'+
						'</div></span></div>'
					}
					otr += '</li>'
				$("#faM .lastBtn").before(otr);
			} else {
				$obj.ajax({
					url: "/ajax/professor/editBaseInfo/" + $data[i].professorId,
					data: {},
					type: "get",
					Fun: $obj.profess
				});
			}
			if($data.length<5){
				$("#faM li").css("display","block");
				$(".lastBtn").hide();
			}else{
				$(".lastBtn").find("span").text($data.length);
				$("#faM li:lt(3)").css("display","block");
			}
			if(GetQueryString("flag") == 1){
				$("#faM li").css("display","block");
				$("#faM li .goSpan").hide();
				$(".lastBtn").hide();
			}

		}
		//邀请
		$(".goSpan").on("mouseenter",".yaoqing",function(){
			$(this).find('.shareCode').stop(true,false).fadeIn();
		}).on("mouseleave",".yaoqing",function(){
			$(this).find('.shareCode').stop(true,false).fadeOut();
		});
		//邀请作者
		var Qcu=document.getElementsByClassName("qrcodeUser");
		for(var i=0;i<Qcu.length;i++){
			var qrcode= new QRCode(Qcu[i], {
				width : 100,
				height : 100
			});
			makeCode();
		}
		function makeCode(){
			var hurl = window.location.host;
			if(userid) {
				var elurl = "http://" + hurl + "/e/I.html?i=" + s16to64(GetQueryString("patentId"))+"&d="+s16to64(userid);
			} else{
				var elurl = "http://" + hurl + "/e/I.html?i=" + s16to64(GetQueryString("patentId"));
			} 
			qrcode.makeCode(elurl);
		}
		//是我本人
		$(".goSpan").on("click",".ifMe",function(){
			var oF=$(this).attr("nflag");
			if(oF==1){
				$.MsgBox.Confirm("提示", "确认这是您发表的专利？", daoRuPatent);
				$(this).attr("nflag","0");
			}else{
				return;
			} 
			
		});
		function daoRuPatent(){
			$.ajax({
				"url": "/ajax/ppatent/ass",
				"type": "POST",
				"data": {
					id:GetQueryString("patentId"),
					uid:$.cookie("userid"),
					author:$.cookie("userName")
				},
				dataType: "json",
				"success": function(data) {
					if(data.success) {
						if(data.data){
							$(".ifMe").text("导入成功").css("background","#ccc");
						}
					}
				},
				'error': function() {
					$.MsgBox.Alert('提示', '服务器连接超时！');
				}
			});
		}
	}
	Patent.prototype.profess = function($data, $obj) {
		var img;
		var oClass = autho($data.authType, $data.orgAuth, $data.authStatus);
		var csAuto, oId;
		var arr = [];
		arr[0] = $data.title || $data.office;
		arr[1] = $data.orgName || "";
		if(arr[0]) {
			if(arr[1]) {
				arr[2] = arr[0] + "，" + arr[1]
			} else {
				arr[2] = arr[0];
			}
		} else {
			arr[2] = "";
		}
		if($data.hasHeadImage) {
			img = "/images/head/" + $data.id + "_l.jpg";
		} else {
			img = "../images/default-photo.jpg"
		}
		oId = $data.id;
		var otr = '<li class="flexCenter"><a href="" data-id="' + oId + '">' +
			'<div class="madiaHead useHead" id="userimg" style="background-image:url(' + img + ')"></div>' +
			'<div class="madiaInfo" style="margin-top:-8px">' +
			'<p class="ellipsisSty">' +
			'<span class="h1Font" id="name">' + $data.name + '</span><em class="authiconNew ' + oClass.sty + '" title="' + oClass.title + '"></em>' +
			'</p>' +
			'<p class="h2Font ellipsisSty">' + arr[2] + '<p>' +
			'</div></a>'
			if(oId==userid){
				 otr += ''
			}else{
				 otr += '<div class="goSpan"><span class="attenSpan">关注</span></div>'
			}
			otr += '</li>'
			var $otr=$(otr);
		$("#faM .lastBtn").before($otr);
		ifcollectionAbout(oId,$otr.find(".attenSpan"),1);
	}
	Patent.prototype.bindEvent = function($obj) {
		$("#faM").on("click", "li>a", function() {
			if(GetQueryString("flag") !=1){
				var oDataId = $(this).attr("data-id");
				if(oDataId.substring(0,1)!="#"){
					$(this).attr("href","userInforShow.html?professorId="+oDataId);
				}else{
					$(this).attr("href","javascript:void(0)");
				}
			}else{
				$(this).attr("href","javascript:void(0)");
			}
		})
		$('#attention em').click(function() {
			if(userid && userid != "null" && userid != null) {
				if($(this).is('.icon-collected')) {
					cancelCollectionAbout(GetQueryString("patentId"),$(this), 4);
				} else {
					collectionAbout(GetQueryString("patentId"),$(this), 4);
				}
			} else {
				$.MsgBox.Alert('提示', "请先登录再进行收藏");
				$("#mb_btn_ok").val("去登录");
				var aele = document.createElement('a');
				$("#mb_btnbox").append(aele);
				$("#mb_btnbox a").css({
					'display': "block",
					'width': '100%',
					'height': '40px',
					'position': 'absolute',
					'bottom': '-6px',
					'left': '0'
				});
				aele.setAttribute('href', '../login.html');
			}
		})
		$("body").on("click", ".closeThis", function() {
			if($(this).parent().length < 5) {
				$(this).parents(".keyResult").siblings("div").show();
			}
			$(this).parent().remove();

		});
		$("#release").on("click", function() {
			$.MsgBox.Confirm("提示", "确认发布该专利？", $obj.pubPatent);
		});
		$("#delete").on("click", function() {
			$.MsgBox.Confirm("提示", "确认删除该专利？", $obj.delePatent);
		});
		$(".lastBtn").on("click", function() {
			$("#faM li").css("display","block");
			$(this).hide();
		});
		$(".tagList").on("click","li",function() {
			location.href = "searchNew.html?searchContent=" + $(this).text() + "&tagflag=5";
		});
		//点击关注按钮
		$("#faM").on('click',"span.attenSpan", function() {
			var pId=$(this).parent().siblings("a").attr("data-id");
			if(userid && userid != null && userid != "null") {
				if($(this).is('.attenedSpan')){
					cancelCollectionAbout(pId, $(this),1)
				} else {
					collectionAbout(pId, $(this),1);
				}
			}else{
				$.MsgBox.Alert("提示", "请先登录再进行关注");
				$("#mb_btn_ok").val("去登录");
				var aele = document.createElement('a');
				$("#mb_btnbox").append(aele);
				$("#mb_btnbox a").css({
					'display': "block",
					'width': '100%',
					'height': '40px',
					'position': 'absolute',
					'bottom': '-6px',
					'left': '0'
				});
				aele.setAttribute('href', '../login.html');
			}
		});
						

	}
	Patent.prototype.pageview = function() {};
	Patent.prototype.captiureSubInd = function(subIndu) {
		var industrys = $("#" + subIndu + "").find("li");
		var industryAll = "";
		if(industrys.size() > 0) {
			for(var i = 0; i < industrys.size(); i++) {
				industryAll += industrys[i].innerText;

				industryAll += ',';
			};
			industryAll = industryAll.substring(0, industryAll.length - 1);
		}
		return industryAll;
	}
	Patent.prototype.pubPatent = function() {
		var $key = oPent.captiureSubInd("paperSList");
		oPent.ajax({
			url: "/ajax/ppatent/kw",
			data: {
				id: GetQueryString("patentId"),
				keywords: $key
			},
			type: "post",
			Fun: oPent.pubsucess
		});
	}
	Patent.prototype.pubsucess = function() {
		$.MsgBox.Alert('提示', '专利发布成功！');
		$("#mb_msgicon").css("background", 'url("images/sign_icon_chenggong_nor.png") 0% 0% / contain');
		location.href = "patentList.html"
	}
	Patent.prototype.delePatent = function() {
		oPent.ajax({
			url: "/ajax/ppatent/cAss",
			data: {
				id: GetQueryString("patentId"),
				uid:$.cookie("userid")
			},
			type: "post",
			Fun: oPent.delsucess
		});
	}
	Patent.prototype.delsucess = function() {
		location.href = "patentList.html"
	}
	var oPent = new Patent();
	
	//纠错反馈
	$(".footer_tools").hide();
	$(".correctSubmit").on("click",function(){
		var cntCon=$(this).siblings(".correctCon").val();
		var cntUser="";
		if(userid && userid != null && userid != "null") {
			cntUser = userid;
		}
		if(cntCon.length>500){
			$.MsgBox.Alert('提示', '纠错反馈内容不得超过500个字');
			return;
		}else{
			$.ajax({
				"url": "/ajax/feedback/error/patent",
				"type": "POST",
				"dataType": "json",
				"async": true,
				"data": {
					"id":GetQueryString("patentId"),
					"cnt":cntCon,
					"user":cntUser
				},
				"success": function(data) {
					if(data.success) {
						console.log(data);
						backSuccessed();
					}
				},
				"error": function() {
					$.MsgBox.Alert('提示', '链接服务器超时')
				}
			});
		}
	})
	
	if( GetQueryString("flag")==1){
		$(".feedBack").click(function(){
			$("#feedbackBox").fadeToggle();
		})
		$(".closeFeed").click(function(){
			$("#feedbackBox").fadeOut();
		})
	}else{
		$(".footer_tools").show();
		
	}
	
})